Get a published HTML block's render URL
curl --request GET \
--url https://app.myhero.so/published/media/html/{publishedId}/{htmlId}/render-url \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.myhero.so/published/media/html/{publishedId}/{htmlId}/render-url"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.myhero.so/published/media/html/{publishedId}/{htmlId}/render-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"path": "<string>"
}
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Published
Get a published HTML block's render URL
Returns the API-relative path an HTML block on the published document publishedId renders from, signed for one hour.
Verifies the HTML belongs to that document and that the document is currently published.
GET
/
published
/
media
/
html
/
{publishedId}
/
{htmlId}
/
render-url
Get a published HTML block's render URL
